<style type="text/css">
	.w200 { width: 200px !important }
	.w150 { width: 150px !important }
	.ml100 {margin-left: 100px !important }
	.ml115 {margin-left: 115px !important }
	.mt10 { margin-top: 10px !important }
	.mr30 {margin-right: 30px !important}
	
	
	.form .vindent2 {margin-top: 0px !important}
	
	.gotd-block {
		float: left;
	}
	.transfer-block {
		float: left;
		margin-left: 20px;
	}
	#calendar {
		border: 3px solid #2e2e2e;
		overflow: hidden;
		width: 399px;
		margin: 5px auto;
		float: left
	}
	#calendar .ii {
		float: left;
		width: 399px;
	}
	#month {
		height: 26px;
		background: url('/img/calendar_month_bg.png');
		text-align: center;
		position: relative;
		padding-top: 11px;
	}
	#month span {
		font-size: 14px;
		font-weight: bold;
		color: #fff;
	}
	#prev {
		cursor: pointer;
		position: absolute;
		background: url('/img/calendar_prev.png');
		height: 12px;
		width: 11px;
		top: 13px;
		left: 25px;
	}
	#next {
		cursor: pointer;
		position: absolute;
		background: url('/img/calendar_next.png');
		height: 12px;
		width: 11px;
		top: 13px;
		right: 25px;
	}
	#calendar .weekdays {
		height: 26px;
		background: url('/img/calendar_weekdays_bg.png') repeat-x;
		border-bottom: 1px solid #bbb;
	}
	#calendar span.weekday {
		color: #8d8d8d;
		font-size: 13px;
		float: left;
		padding: 5px 17px;
	}
	#calendar .cell-wrapper {
		float: left;
		padding: 1px 0 0 1px;
	}
	#calendar span.cell {
		float: left;
		width: 55px;
		height: 30px;
		color: #b4b3b3;
		font-size: 17px;
		line-height: 1.9em;
		text-align: center;
        user-select: none;
		border-bottom: 1px solid #bbbbbb;
		border-right: 1px solid #bbbbbb;
		background: url('/img/calendar_cell_bg_passive.png') repeat-x;
	}
	
	#calendar span.selected {
		color: #4f4f4f !important;
		background: url('/img/calendar_cell_bg_selected.png') repeat-x !important;
		cursor: pointer;
	}
	#calendar span.available {
		color: #4f4f4f !important;
		background: url('/img/calendar_cell_bg.png') repeat-x;
		cursor: pointer;
	}
	#calendar span.available:hover {
		background: url('/img/calendar_cell_bg_hover.png') repeat-x !important;
	}
	#calendar span.available.next-month-day {
		background: url('/img/calendar_cell_bg_passive.png') repeat-x !important;
	}
	
	#calendar span.available.prev-month-day {
		background: url('/img/calendar_cell_bg_passive.png') repeat-x !important;
	}
	
	#calendar span.booked {
		background: url('/img/calendar_cell_bg_booked.png') repeat-x;
		color: #fff;
		cursor: default;
	}
	
	.gotd-tooltip .tip {
		background-color: #fefcd5;
		padding: 5px 15px;
	}
	.gotd-tooltip .tip-text{
		line-height: 1.8em;
		color: #000;
	}
	
	.balance-c { padding: 5px 30px 5px 0; font-size: 16px; background-color: #D7FFB0; border-bottom: 1px solid #ccc; text-align: right; margin: 10px 0 0 0; }
</style>

<?
$curr_year = date('Y', time());
$years_count = 2;
$width = 399;
$curr_month = (int)date('n', time());
?>

<form class="form-common" action="/billing/packages/add-gotd?id=<?= $this->op_id ?>" method="post">
	<? 
		$curr_year = date('Y', time());
		$years_count = 2;
		$width = 399;
		$curr_month = (int)date('n', time());
		
		if ( Cubix_Application::getId() == APP_BL ) {
			$c_id = $this->escort->country_id;
		} else {
			$c_id = Cubix_Application::getById()->country_id;
		}

		$city_model = new Model_Geography_Cities();
		$cities = $city_model->ajaxGetAll(null, $c_id);

		$regions = array();
		foreach ( $cities as $city )
		{
			if ( ! isset($regions[$city->region_title]) ) {
				$regions[$city->region_title] = array();
			}

			$regions[$city->region_title][] = $city;
		}
	?>
	<div class="gotd-block">
		<? if ( Cubix_Application::getId() == APP_A6 || Cubix_Application::getId() == APP_A6_AT ): ?>
		<div class="inner">
			<label><?= __('select_region') ?></label>
			<select class="w200" name="city_id" id="city-id">
				<option value="">---</option>
				<? foreach($regions as $title => $cities): ?>
				<optgroup label="<?= $title ?>">
					<? foreach($cities as $city): ?>
					<option value="<?= $city->id ?>" <?= $this->data['city_id'] && $this->data['city_id'] == $city->id ? 'selected="selected"' : '' ?>><?= $city->title ?></option>
					<? endforeach; ?>
				</optgroup>
				<? endforeach; ?>
			</select>
		</div>
		<? else: ?>
		<div class="inner">
			<label><?= __('select_city') ?></label>
			<select class="w200" name="city_id" id="city-id">
				<option value="">---</option>
				<? if ( ! in_array(Cubix_Application::getId(), array(16, 25)) ): ?>
				<optgroup label="Escort's working cities">
					<? foreach (Model_EscortsV2::getWorkingLocations($this->escort_id) as $city): ?>
						<? if ( $city->is_main ): ?>
						<option value="<?= $city->id ?>" style="font-weight: bold;"><b><?= $city->title ?></b></option>
						<? else: ?>
						<option value="<?= $city->id ?>"><?= $city->title ?></option>
						<? endif; ?>
					<? endforeach; ?>
				</optgroup>
				
				<? endif; ?>
				<optgroup label="All cities">
				<? foreach($cities as $city): ?>
				<option value="<?= $city->id ?>" <?= $this->data['city_id'] && $this->data['city_id'] == $city->id ? 'selected="selected"' : '' ?>><?= $city->title ?></option>
				<? endforeach; ?>
				</optgroup>
			</select>
		</div>
		<? endif; ?>
				
		<div class="clear"></div>
		
		<div class="clear"></div>
		<div id="calendar">
			<div id="month">
				<a id="prev"></a>
				<span><?= date('F', time()) . ' ' . $curr_year ?></span>
				<a id="next"></a>
			</div>
			<div class="i" style="width: <?= $years_count * 12 * $width; ?>px">
				<? for($year = $curr_year; $year < $curr_year + $years_count; $year++): ?>
					<?
					if ( $year == $curr_year ) {
						$months_from = $curr_month;
					} else {
						$months_from = 1;
					}
					/*if ( $this->data['date'] ) {
						$margin_offset = (date('m', $this->data['date']) - $months_from) * $width;
					}*/
					?>
					<? for($i = $months_from; $i <= 12; $i++): ?>
					<div class="ii month-<?= $i . '-' . $year ?>">
						<input type="hidden" value="<?= date('F', mktime(0, 0, 0, $i, 1, $year)) . ' ' . $year ?>"/>
						<div class="weekdays">
							<span class="weekday">Mon</span>
							<span class="weekday">Tue</span>
							<span class="weekday">Wed</span>
							<span class="weekday">Thu</span>
							<span class="weekday">Fri</span>
							<span class="weekday">Sat</span>
							<span class="weekday">Sun</span>
						</div>
						<div class="days">
							<? /* PREPENDING DAYS FROM LAST MONTH */ ?>
							<? 
								$first_weekday = date('w', mktime(0, 0, 0, $i, 1, $year)); 
								if ( $first_weekday == 0 ) $first_weekday = 7; // fixing sunday = 7
								$days_to_prepend = 7 - ( (7 - $first_weekday) + 1);
								$days_in_previous_month = cal_days_in_month(CAL_GREGORIAN, $i - 1 > 0 ? $i - 1 : 12, $i - 1 > 0 ? $year : $year - 1);
							?>
							<? for($k = $days_in_previous_month - ($days_to_prepend - 1 ); $k <= $days_in_previous_month; $k++): ?>
							<?
							$class = '';
							$d_string = date('Y-m-d', mktime(0, 0, 0, $i - 1, $k, $year));
							if ( $d_string >= date('Y-m-d', time()) && $d_string <= date('Y-m-d', $this->gotd_max_available_day) ) {
								$class = 'available stat-avail';
							}

							$date_class = date('Y-n-j', mktime(0, 0, 0, $i - 1 > 0 ? $i - 1 : 12, $k, $i - 1 > 0 ? $year : $year - 1 ));
 							?>
							<div class="cell-wrapper">
								<span class="cell prev-month-day <?= $date_class .' '. $class ?>" data-date="<?= strtotime($d_string) ?>"><?= $k ?></span>
							</div>
							<? endfor; ?>
							<? /*  */ ?>

							<? /* FILLING DAYS OF MONTH */ ?>
							<? $days_count = cal_days_in_month(CAL_GREGORIAN, $i, $year) ?>
							<? for($y = 1; $y <= $days_count; $y++): ?>

							<?
                            $class = $active_package_class = '';
                            $d_string = date('Y-m-d', mktime(0, 0, 0, $i, $y, $year));

							if ( $d_string >= date('Y-m-d', time()) && $d_string <= date('Y-m-d', $this->gotd_max_available_day) ) {
								$class = 'available stat-avail';
							}

                            if ($d_string >= date('Y-m-d', $this->package->date_activated) && $d_string <= date('Y-m-d', $this->package->expiration_date)
                                && !in_array($this->package->package_id, $this->free_packages)) {
                                $active_package_class = 'package-active';
                            }

							if ( $this->data['date'] ) {
								if ( $d_string == date('Y-m-d', $this->data['date']) )  {
									$class = 'selected';
								}
							}

							if ( $this->data['city_id'] ) {
								foreach($this->city_also_check as $ct) {
									if ( count( $this->booked_days[$ct] ) ) {
										foreach($this->booked_days[$ct] as $dt) {
											if ($d_string == date('Y-m-d', strtotime($dt['date'])) )  {
												$class = 'booked';
												break;
											}
										}
									}
								}
							}

                            $date_class = date('Y-n-j', mktime(0, 0, 0, $i, $y, $year));
                            ?>
							<div class="cell-wrapper">
								<span class="cell <?= $class .' '. $date_class .' '. $active_package_class?>" data-date="<?= strtotime($d_string) ?>"><?= $y ?></span>
							</div>
							<? endfor; ?>
							<? /* */ ?>

							<? /* APPENDING DAYS FROM NEXT MONTH */ ?>
							<?
								$days_to_append = 42 - ($days_count + $days_to_prepend);
							?>

							<? for($k = 1; $k <= $days_to_append; $k++): ?>
							<?
							$class = '';
							$d_string = date('Y-m-d', mktime(0, 0, 0, $i + 1, $k, $year));
							if ( $d_string >= date('Y-m-d', time()) && $d_string <= date('Y-m-d', $this->gotd_max_available_day) ) {
								$class = 'available stat-avail';
							}

                            $date_class = date('Y-n-j', mktime(0, 0, 0, $i + 1 > 12 ? 1 : $i + 1, $k, $i + 1 > 12 ? $year + 1 : $year));
 							?>
							<div class="cell-wrapper">
								<span class="cell next-month-day <?= $date_class .' '. $class ?>" data-date="<?= strtotime($d_string) ?>"><?= $k ?></span>
							</div>
							<? endfor; ?>
							<? /* */ ?>
						</div>
					</div>
					<? endfor; ?>
				<? endfor; ?>
			</div>
		</div>
		<div class="clear"></div>
		<div class="inner" style="margin: 4px 0 4px 7px; float: left;">
			<input type="hidden" value="" name="days" id="days"/>
		</div>

		<input type="hidden" id="booked-days" value='<?= json_encode($this->booked_days); ?>'/>
		<input type="hidden" id="escorts" value='<?= json_encode($this->escorts); ?>'/>
		<input type="hidden" id="region-relations" value='<?= json_encode($this->region_relations); ?>'/>
	</div>

	<div class="transfer-block">
		<input type="hidden" value="2" name="amount" />
		<div class="inner">
			<label for="transfer_type_id">Transfer Type <span class="required">*</span></label>
			<select id="transfer_type_id" name="transfer_type_id" class="w12">
				<option value="0"> - - - </option>
				<? $m_t = new Model_Billing_Transfers(); ?>
				<? foreach ( $m_t->getTransferTypes() as $type ): ?>
				<?
					if ( Cubix_Application::getId() == APP_6A && in_array($type->id, array(2)) ) {
						continue;
					}
					
					if ( Cubix_Application::getId() == APP_A6 && in_array($type->id, array(4)) ) {
						continue;
					}
				?>
				<option value="<?= $type->id ?>"><?= $type->name ?></option>
				<? endforeach ?>
			</select>
		</div>
		<div class="clear"></div>
		
		<? $d_apps = array(APP_EF, APP_6A); ?>
		<? if ( in_array(Cubix_Application::getId(), $d_apps) ): ?>
		<div class="inner">
			<label for="discount">Discount (%)</label>
			<input type="text" id="discount" name="discount" class="txt w8" value="0.00" />
		</div>
		<div class="inner">
			<label for="d_comment">Comment</label>
			<textarea style="width: 265px;" name="d_comment"></textarea>
		</div>
		<? endif; ?>
		
		<fieldset class="mt20">
			<legend>Transfer Details</legend>

			<div class="inner">
				<label for="first_name">First Name <span class="required">*</span></label>
				<input type="text" id="first_name" name="first_name" class="txt w16" value="" />
			</div>

			<div class="inner">
				<label for="last_name">Last Name <span class="required">*</span></label>
				<input type="text" id="last_name" name="last_name" class="txt w16" value="" />
			</div>

			<div class="clear"></div>

			<div class="inner">
				<label for="country">Country</label>
				<select id="country" name="country_id" class="w16">
					<option value="">- - -</option>
					<option value="" disabled="disabled">Important Countries</option>
					<? $model = new Model_Geography_Countries() ?>
					<? $c = false; foreach ( $model->ajaxGetAll(false) as $country ): ?>
					<? if ( ! $c && $country->ordering == 0 ): $c = true ?><option value="" disabled="disabled">-----------------------</option><? endif; ?>
					<option value="<?= $country->id ?>" <?= ( Cubix_Application::getById($this->request()->application_id)->country_id == $country->id ) ? 'selected="selected"' : '' ?>><?= $country->title ?></option>
					<? endforeach; ?>
				</select>
			</div>

			<div class="inner">
				<label for="city">City</label>
				<input type="text" id="city" name="city" class="txt w16" />
			</div>

			<div class="clear"></div>

			<div class="inner">
				<label for="var_symbol">Var. Symbol</label>
				<input type="text" id="var_symbol" name="var_symbol" class="txt w12" value="" />
			</div>

			<div class="inner">
				<label for="transaction_id">Transaction ID</label>
				<input type="text" id="transaction_id" name="transaction_id" class="txt w20" value="" />
			</div>
			<div class="clear"></div>

			<div class="inner">
				<label for="pull_person_id">Pull Person</label>
				<select name="pull_person_id" class="w14">
					<option value=""> - - - </option>
					<? $model = new Model_Billing_Transfers(); foreach ( $model->getPullPersons() as $person ): ?>
					<option value="<?= $person->id ?>"><?= $person->name ?></option>
					<? endforeach ?>
				</select>
			</div>

			<div class="inner">
				<label for="mtcn">MTCN</label>
				<input type="text" id="mtcn" name="mtcn" class="txt w18" value="" />
			</div>

			<div class="clear"></div>

			<div class="inner">
				<label for="webmoney_account">Webmoney Account <span class="required">*</span></label>
				<select name="webmoney_account" class="w14">
					<option value=""> - - - </option>
					<? $model = new Model_Billing_Transfers(); foreach ( $model->getWebmoneyAccounts() as $account ): ?>
					<option value="<?= $account->id ?>"><?= $account->account_type ?></option>
					<? endforeach ?>
				</select>
			</div>

			<div class="inner">
				<label for="website">Website</label>
				<select id="website" name="website_id" class="w16">
					<option value="">- - -</option>
					<option value="<?= Model_Billing_Transfers::WEBSITE_CARDGATE ?>">Cardgate</option>
					<option value="<?= Model_Billing_Transfers::WEBSITE_ADSGATE ?>">Adsgate</option>
				</select>
			</div>

			<div class="clear"></div>

			<div class="inner">
				<label for="comment">Comment</label>
				<textarea rows="1" id="comment" name="comment" class="txt w35"></textarea>
			</div>
		</fieldset>
		<?php $d_apps_2 = array(APP_BL);?>
		<? if ( in_array(Cubix_Application::getId(), $d_apps_2) ): ?>
		<div class="inner">
			<label for="discount">Discount (%)</label>
			<input type="number" id="discount" name="discount" class="txt w8" value="0" min="0" max="100" />
		</div>
		<div class="inner">
			<label for="fix_discount">Discount (<?= Cubix_Application::getById()->currency_title ?>)</label>
			<input type="text" id="fix_discount" name="fix_discount" class="txt w8" value="0.00" />
		</div>
		<? endif; ?>
	</div>
	<div class="clear"></div>
	
	<div class="balance-c ">Gotd Price: <b id="package-price"><span id="e-price">0.00</span> <?= $this->currency('symbol') ?></b></div>
	<input type="hidden" name="base_price" value="" />
</form>

<script type="text/javascript">
    var step = <?= $width ?>,
        currMonth = <?= $curr_month ?>,
        currYear = <?= $curr_year ?>,
        yearsCount = <?= $years_count ?>,
        currMargin = 0,
        escort = <?= json_encode($this->escort) ?>,
        escortPackage = <?= json_encode($this->package) ?>,
        freePackages = <?= json_encode($this->free_packages) ?>,
        packageActivatedDate = <?= strtotime($this->package->date_activated) ?>,
        packageExpirationDate = <?= strtotime($this->package->expiration_date) ?>,
        checkoutGotdPrice = 0,
        <? if (Cubix_Application::getId()== APP_EG_CO_UK): ?>
        gotdPrice = <?= $this->escort->gender === 1 ? GIRL_OF_THE_DAY_WITHOUT_PACKAGE_PRICE : BOY_OF_THE_DAY_WITHOUT_PACKAGE_PRICE ?>,
        <? endif; ?>
        gotdPrice = <?= $this->product_gotd->price ?>,
        gotdMaxAvailableDay = <?= $this->gotd_max_available_day ?>;

	window.gotdPopup.addEvent('loaded', function () {
		var self = this;
		
		var initTransferTypes = function () {
			var choose = function (choice) {
				var map = {
					all: [ 'first_name', 'last_name', 'country_id', 'city', 'var_symbol', 'transaction_id', 'pull_person_id', 'mtcn', 'comment', 'webmoney_account', 'website_id' ],
					0: [  ],
					1: [ 'first_name', 'last_name', 'country_id', 'var_symbol', 'comment' ],
					2: [ 'first_name', 'last_name', 'country_id', 'city', 'pull_person_id', 'mtcn', 'comment' ],
					3: [ 'first_name', 'last_name', 'transaction_id', 'comment', 'website_id' ],
					4: [ 'first_name', 'last_name', 'comment' ],
					5: [ 'first_name', 'last_name', 'transaction_id', 'comment', 'webmoney_account' ],
					6: [ 'first_name', 'last_name' ]
				};

				map.all.each(function (name) {
					var el = this.content.getElement('*[name=' + name + ']');
					el.set('disabled', 'disabled');
					el.getParent('.inner').addClass('disabled');
				}.bind(this));

				if ( $chk(map[choice]) ) {
					map[choice].each(function (name) {
						var el = this.content.getElement('*[name=' + name + ']');

						if ( choice == 5 ) {
							if ( name == 'first_name' || name == 'last_name' ) {
								el.getPrevious('label').getElement('span.required').destroy();
							}
							else if ( name == 'transaction_id' ) {
								new Element('span', {
									'class': 'required',
									html: ' *'
								}).inject(el.getPrevious('label'));
							}
						}

						el.set('disabled', null);
						el.getParent('.inner').removeClass('disabled');
					}.bind(this));
				}
				else {
					return;
				}
			}.bind(this);
			
			var select = this.content.getElement('select[name=transfer_type_id]');
			select.addEvent('change', function () { 
				choose(this.getSelected()[0].get('value'));
			});

			choose(0);
		}.bind(this);
		
		initTransferTypes();

		this.removeEvents('loaded');

		if ( $$('input[name=discount]') ) {
			$$('input[name=discount]').addEvent('change', function(){
				if($$('input[name=discount]').get('value') < 0){
					$$('input[name=discount]').set('value', 0)
				}
				if($$('input[name=discount]').get('value') > 100){
					$$('input[name=discount]').set('value', 100)
				}
				changePrice();
			});
		}

		if ( $$('input[name=fix_discount]') ) {
			$$('input[name=fix_discount]').addEvent('change', function(){
				if($$('input[name=fix_discount]').get('value') < 0){
					$$('input[name=fix_discount]').set('value', 0)
				}
				changePrice();
			});
		}

		var fx = new Fx.Tween($$('#calendar .i')[0], {
			duration: 'short',
			transition: 'linear',
			link: 'cancel',
			property: 'margin-left'
		});

		var bookedDays = JSON.decode($('booked-days').get('value'));
		var regionRelations = JSON.decode($('region-relations').get('value'));

        var currentDate = new Date(),
            dateActivated = new Date(packageActivatedDate * 1000);

        if ( currentDate > dateActivated ) {
            dateActivated = currentDate;
        }

		var monthsToShift = monthDiff(currentDate, dateActivated);
		if ( monthsToShift ) {
			fx.start(currMargin, currMargin - monthsToShift * step);
			currMargin -= monthsToShift * step;
			currMonth += monthsToShift;
			if ( currMonth > 12 ) {
				currMonth = 12 - currMonth;
				currYear += 1; 
				yearsCount -= 1;
			}
			setMonthTitle(currMonth, currYear);
		}

		$('prev').addEvent('click', function(e) {
			if ( currMargin == 0 ) return;

			fx.start(currMargin, currMargin + step);
			currMargin += step;
			currMonth -= 1;
			if ( currMonth == 0 ) {
				currMonth = 12;
				currYear -= 1;
				yearsCount += 1;
			}
			setMonthTitle(currMonth, currYear);
		});

		$('next').addEvent('click', function(e) {
			if ( currMonth == 12 && yearsCount == 1 ) return;

			fx.start(currMargin, currMargin - step);
			currMargin -= step;
			currMonth += 1;
			if ( currMonth > 12 ) {
				currMonth = 1;
				currYear += 1; 
				yearsCount -= 1;
			}
			setMonthTitle(currMonth, currYear);
		});

        $$('.cell-wrapper span').addEvent('click',function (){
            if (this.hasClass('booked')) {
                alert('The selected dates are reserved.');
            }
        });
		
		$$('.days span').addEvent('click', function() {
			if ( ! this.hasClass('available') && ! this.hasClass('selected') ) { 
				return; 
			}
			
			if ( this.hasClass('next-month-day') ) {
				$('next').fireEvent('click');
				let clas = this.get('class');
				clas = clas.replace('cell', '');
				clas = clas.replace('next-month-day', '');
				clas = clas.replace('available', '');
				clas = clas.replace('stat-avail', '');
				clas = clas.replace(/\s/g,'');
				
				$$('.' + clas).getLast().fireEvent('click');
				
				return;
			}
			
			if ( this.hasClass('prev-month-day') ) {
				$('prev').fireEvent('click');
				let clas = this.get('class');
				clas = clas.replace('cell', '');
				clas = clas.replace('prev-month-day', '');
				clas = clas.replace('available', '');
				clas = clas.replace('stat-avail', '');
				clas = clas.replace(/\s/g,'');
				
				$$('.' + clas)[0].fireEvent('click');
				
				return;
			}
			
			if ( ! this.hasClass('selected') ) {
                /*let count = $$(".cell.selected").length;  
                if (count === 2) {
                   let genderName = parseInt(escort.gender) === 1 ? 'GOTD' : (parseInt(escort.gender) === 2 ? 'BOTD' : '');
                   alert(`You can checkout with a maximum of 2 ${genderName} spots at once.`);
                   return;
                }*/
				this.removeClass('available').addClass('selected');
			} else {
				this.removeClass('selected').addClass('available');
			}
			
			changePrice();

			var days = [];
			$$('span.selected').each(function(el, i) {
				//-->Getting selected day
				let selectedDay = el.get('html').toInt();
				if ( selectedDay < 1 || selectedDay > 31 ) {
					alert('Invalid date');
				}
				//<--

				//-->Getting selected year and month
				let date = el.getParent('.ii').getProperty('class');
				date = date.replace('ii ', '');
				date = date.split('-').slice(1, 3);
				//<--
				days[i] = [date[1], date[0], selectedDay].join(',');
			});
			$('days').set('value', days.join(';') );
		});
		
		$('city-id').addEvent('change', function() {
			$$('#calendar span.selected').removeClass('selected').addClass('available');
			if ( ! this.get('value') ) {
				$$('#calendar span.booked').each(function(el) {
					if ( el.hasClass('stat-avail')  ) {
						el.addClass('available');
					}
				});
				$$('#calendar span').removeClass('booked');
				
				return;
			}
			
			
			$$('#calendar span.stat-avail.booked').addClass('available');
			$$('#calendar span.booked').removeClass('booked');
			
			var month, day, year;
			var citiesToCheck = [this.get('value')];
			if ( regionRelations[this.get('value')] ) {
				citiesToCheck = regionRelations[this.get('value')]
			}
			citiesToCheck.each(function(ct) {
				if ( bookedDays[ct] ) {
					bookedDays[ct].each(function(it) {
						date = it.date.split('-');
						
						month = date[1];
						day = date[2];
						year = date[0];
						
						
						//Removing leading 0 if necessary
						if ( day.charAt(0) == "0" ) {
							day = day.substr(1, day.length - 1);
						}
						if ( month.charAt(0) == "0" ) {
							month = month.substr(1, month.length - 1);
						}
						
						
						$$('.' + year + '-' + month + '-' + day).removeClass('available').addClass('booked');
					})
				}
			});
			
			changePrice()
		});
		
	});
	
	function setMonthTitle(month, year) {
		if ( $$('.month-' + month + '-' + year)[0] ) {
			$$('#month span')[0].set('html', $$('.month-' + month + '-' + year)[0].getElement('input').get('value'));
		}
	}
	
	Date.prototype.addDays = function(days) {
		var dat = new Date(this.valueOf())
		dat.setDate(dat.getDate() + days);
		return dat;
	}

    function getDates(startDate, stopDate) {
        var dateArray = new Array(),
            currentDate = startDate;

        currentDate.setHours(0, 0, 0, 0);
        stopDate.setHours(0, 0, 0, 0);

        while (currentDate <= stopDate) {
            dateArray.push(new Date(currentDate))
            currentDate = currentDate.addDays(1);
        }

        return dateArray;
	}

	function monthDiff(d1, d2) {
		var months;
		months = (d2.getFullYear() - d1.getFullYear()) * 12;
		months -= d1.getMonth() + 1;
		months += d2.getMonth();
		return months + 1;
	}

	function changePrice() {
        checkoutGotdPrice = 0;

        $$('.stat-avail.selected').map( item => {
            let selectedDate = item.get('data-date');

            <? if (Cubix_Application::getId() == APP_EG_CO_UK): ?>
            if (parseInt(escort.gender) == 1 && escortPackage && escortPackage.package_id) {
                if (!freePackages.includes(escortPackage.package_id) && selectedDate >= packageActivatedDate && selectedDate <= packageExpirationDate) {
                    gotdPrice = <?= GIRL_OF_THE_DAY_WITH_PACKAGE_PRICE ?>;
                } else {
                    gotdPrice = <?= GIRL_OF_THE_DAY_WITHOUT_PACKAGE_PRICE ?>;
                }
            } else if (parseInt(escort.gender) === 2 && escortPackage && escortPackage.package_id) {
                if (!freePackages.includes(escortPackage.package_id) && selectedDate >= packageActivatedDate && selectedDate <= packageExpirationDate) {
                    gotdPrice = <?= BOY_OF_THE_DAY_WITH_PACKAGE_PRICE ?>;
                } else {
                    gotdPrice = <?=BOY_OF_THE_DAY_WITHOUT_PACKAGE_PRICE ?>;
                }
            }
            <? endif; ?>

            checkoutGotdPrice += parseInt(gotdPrice);
        });

        // var price = $$('#calendar span.selected').length * gotdPrice;
		var price = checkoutGotdPrice;

		$$('input[name=base_price]')[0].set('value', price);
		
		var base_price = $$('input[name=base_price]')[0].get('value');
		if ( $$('input[name=base_price]') ) {
			var discount = $$('input[name=discount]')[0];
			if ( discount && discount.get('value') > 0 ) {
				price = price - (base_price * discount.get('value') / 100);
			}
			var fix_discount = $$('input[name=fix_discount]')[0];
			if ( fix_discount && fix_discount.get('value') > 0 ) {
				price = price - fix_discount.get('value');
			}
		}
		if(price < 0){
			price = 0;
		}
		$('e-price').set('html', price);
		$$('input[name=amount]')[0].set('value', price);
	}
</script>
